export class WishlistItemModel {
  public readonly wishlistItemId: number;
  public cityName: string;
  public zipCode: number| string
  public state: string;
  public stateCode: number | string;
  public startTime: Date | string;
  public endTime: Date | string;
  public details: string;

  constructor(
    wishlistItemId = -1,
    cityName = "",
    state = "",
    stateCode = "",
    startTime = "",
    endTime = "",
    details = "",
    zipCode=""
  ) {
    this.wishlistItemId = wishlistItemId;
    this.cityName = cityName;
    this.state = state;
    this.stateCode = stateCode;
    this.startTime = startTime;
    this.endTime = endTime;
    this.details = details;
    this.zipCode = zipCode;
  }
}
